Cocoonフォーラム

書き込みの前に以下の3点をご確認ください。
  1. 1つのトピックにつき1つの質問を書き込んでください
  2. 不具合・カスタマイズ対象ページのURLを提示高速化を無効にしてください
  3. 該当部分のキャプチャ・環境情報とともに書き込んでいただけると助かります

何を書き込んだら良いか分からない場合は、以下のテンプレートをコピペしてご利用ください。

不具合・カスタマイズ対象ページのURL:

相談内容:

不具合の発生手順:

解決のために試したこと:

※文字だけでは正しく伝わらない可能性があるため、スクショ画像の添付もお願いします。
※高速化設定をしている場合は無効にしてください。
環境情報:

※↑こちらに「Cocoon設定 → テーマ情報」にある「環境情報」を貼り付けてください。

環境情報の取得方法はこちら。
https://wp-cocoon.com/theme-report/
高速化設定を無効にするにはこちら。
https://wp-cocoon.com/theme-trouble/

フォーラム利用ガイドリンク

  1. フォーラムガイドライン
  2. よくある質問と答え(FAQ)
  3. サポート対象外のケース
  4. 原因不明の不具合用トラブルシューティング
  5. トピックにHTMLを貼り付ける方法(推奨ツール:notepad.pw
  6. 真っ白画面でのエラーメッセージの確認方法
  7. ブラウザ環境チェックツール
  8. Cocoonカスタマイズ依頼

フォーラム質問後、問題等が解決した場合は結果を書き込んでいただけると幸いです。同様の問題で調べている方には、結果が一番気になる部分となります。

目次のウィジェットでエラーになります
 
共有:
通知
すべてクリア

[解決済] 目次のウィジェットでエラーになります

4 投稿
3 ユーザー
1 Likes
1,392 表示
ヒロアキ
(@y-hiroaki)
Estimable Member Registered
結合: 5年前
投稿: 211
Topic starter  

最近アップデートをサボってまして、今日久々に1.9.0.2にアップデートしたらサイドバーにエラーが出るようになりました。

いろいろ確認すると、サイドバーに目次のウィジェットを追加するとエラーとなるようです。

------- 表示されるエラーの内容 ----------

Fatal error: Uncaught Error: Call to undefined function do_blocks() in /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-content/themes/cocoon-master/lib/toc.php:347 Stack trace:
#0 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-content/themes/cocoon-master/lib/widgets/toc.php(35): get_toc_expanded_content()
#1 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-includes/class-wp-widget.php(372): TOCWidgetItem->widget(Array, Array)
#2 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-includes/widgets.php(743): WP_Widget->display_callback(Array, Array)
#3 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-content/themes/cocoon-master/sidebar.php(31): dynamic_sidebar('sidebar-scroll')
#4 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-includes/template.php(688): require_once('/home/hogehoge/z...')
#5 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-includes/template.php(647): load_template('/home/hogehoge/z...', true)
#6 /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-includes/general-temp in /home/hogehoge/zvalinf.info/public_html/cocoon-skin/wp-content/themes/cocoon-master/lib/toc.php on line 347

------- 表示されるエラーの内容 ----------

ちなみに、1.8.0では問題ありませんでした。

バージョンがかなり飛んですみません^^

よろしくお願いします。


   
かうたっく
(@kautakku)
Famed Member Moderator
結合: 5年前
投稿: 4764
 

WordPressバージョンのアップデートもさぼってませんか?

4.××であれば、最新版に変更すればエラーがなくなると思います。

 

※つい先日も同じ内容があったので。

https://wp-cocoon.com/community/bugs/%e3%82%b5%e3%82%a4%e3%83%89%e3%83%90%e3%83%bc%e3%81%ab%e7%9b%ae%e6%ac%a1%e3%82%b7%e3%83%a7%e3%83%bc%e3%83%88%e3%82%b3%e3%83%bc%e3%83%89%e3%82%92%e6%8c%bf%e5%85%a5%e3%81%99%e3%82%8b%e3%81%a8%e8%a1%a8/#post-19986


   
ヒロアキ
(@y-hiroaki)
Estimable Member Registered
結合: 5年前
投稿: 211
Topic starter  

かうたっくさん

回答ありがとうございます。

似たような現象があったとのことで、過去ログきちんと検索すればよかったです、すみません。

WordPressを4.9.10→5.2.2–jaにバージョンアップすると目次のエラーも解消されました。

ありがとうございます。

※他のサイトもバージョンアップしないといけないのか(うーーん)


   
わいひら reacted
わいひら
(@yhira)
Illustrious Member Admin
結合: 5年前
投稿: 14349
 

前回のトピックでも、原因わからなかったのですがdo_blocks関数が原因だったんですね。
WordPress5.0からブロックエディターが標準化されたので、テーマ自体もブロックエディターに対応する必要がありました。
その過程で、5.0か実装されたdo_blocksは必要な処理になります。

古いWordPressでサイト運営をするのは、セキュリティ上のリスクが高いです。
ブロックエディターを使いたくないとかであれば、Classic Editorプラグインを使うとか
https://ja.wordpress.org/plugins/classic-editor/
Cocoonのブロックエディター無効機能などを利用することをおすすめします。
https://wp-cocoon.com/gutenberg-off/


   
共有:

問題の解決に至った場合には、トピック冒頭の「解決済み」をクリックしていただけますと幸いです。

また、有用な回答があった場合は返信右下にある「いいね!」もご活用ください。回答者の励みになります。

「いいね!」機能はフォーラム登録者のみが利用できる機能です。

CC BY-ND 2.1)準じていれば(リンクを貼っていただければ)転載も自由です。カスタマイズ記事を書く際にコード等をコピペ利用していただいて構いません。

フォーラムの使い方がよくわからない場合は、テストトピックで自由にテストしていただいて構いません。

最近の書き込みはこちら。

詳細なカスタマイズ依頼をするならこちら。

タイトルとURLをコピーしました